---
title: WebGLActiveInfo.type
slug: Web/API/WebGLActiveInfo/type
tags:
  - API
  - Property
  - Reference
  - WebGL
---
<div>{{APIRef("WebGL")}}</div>

<p>The read-only <strong><code>WebGLActiveInfo.type</code></strong> property represents the type of the requested data returned by calling the {{domxref("WebGLRenderingContext.getActiveAttrib()", "getActiveAttrib()")}} or {{domxref("WebGLRenderingContext.getActiveUniform()", "getActiveUniform()")}} methods.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var activeAttrib = gl.getActiveAttrib(program, index);
activeAttrib.type;

var activeUniform = gl.getActiveUniform(program, index);
activeUniform.type;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("WebGL", "#DOM-WebGLActiveInfo-type", "WebGLActiveInfo.type")}}</td>
   <td>{{Spec2("WebGL")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLActiveInfo.type")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLActiveInfo")}}</li>
</ul>
